aboutsummaryrefslogtreecommitdiffstats
path: root/extra/alsa-lib/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-04-13 13:13:14 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-13 13:13:14 +0000
commit358ac80866a2f0d632f5081db8940ae1b4387069 (patch)
tree828331a5ee72671ad65e578e6b066a4f44208688 /extra/alsa-lib/APKBUILD
parent95da6ee5ed1ce4bf512ebe77d0f008ae6a04b11b (diff)
downloadaports-358ac80866a2f0d632f5081db8940ae1b4387069.tar.gz
aports-358ac80866a2f0d632f5081db8940ae1b4387069.tar.bz2
aports-358ac80866a2f0d632f5081db8940ae1b4387069.tar.xz
extra/alsa-lib: disable useless C++ check
Diffstat (limited to 'extra/alsa-lib/APKBUILD')
-rw-r--r--extra/alsa-lib/APKBUILD7
1 files changed, 5 insertions, 2 deletions
diff --git a/extra/alsa-lib/APKBUILD b/extra/alsa-lib/APKBUILD
index bc30803adf..7bb0b7bec4 100644
--- a/extra/alsa-lib/APKBUILD
+++ b/extra/alsa-lib/APKBUILD
@@ -7,13 +7,16 @@ url="http://www.alsa-project.org"
license="GPL"
depends="uclibc"
subpackages="$pkgname-dev"
-source="ftp://ftp.alsa-project.org/pub/lib/$pkgname-$pkgver.tar.bz2"
+source="ftp://ftp.alsa-project.org/pub/lib/$pkgname-$pkgver.tar.bz2
+ nocxx.patch"
build ()
{
cd "$srcdir/$pkgname-$pkgver"
+ patch configure < ../nocxx.patch || return 1
./configure --prefix=/usr --disable-python
make || return 1
make -j1 DESTDIR="$pkgdir" install
}
-md5sums="73db3666c211e5fb023bb77450cf430d alsa-lib-1.0.19.tar.bz2"
+md5sums="73db3666c211e5fb023bb77450cf430d alsa-lib-1.0.19.tar.bz2
+28513788ba4d556ccd538867dc6205ab nocxx.patch"